ReferenceNotifications
The caller's in-app notifications, newest first
GET
/v1/me/notificationsKept 90 days, read or not. unread=true lists only unread ones. unreadCount is the caller's total unread count whatever the filter. Notifications only exist for events the caller received while in-app was on for that event (getMyNotificationPreferences).
Query Parameters
unread?boolean
Only unread notifications
Default
falsecursor?string
nextCursor from the previous page
limit?integer
Range
1 <= value <= 200Default
50Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/me/notifications"{ "data": { "items": [ { "id": 0, "event": "server.unhealthy", "title": "string", "body": "string", "team": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "slug": "string", "name": "string" }, "link": { "type": "server", "id": "string", "teamSlug": "string" }, "createdAt": "2019-08-24T14:15:22Z", "readAt": "2019-08-24T14:15:22Z" } ], "nextCursor": "string", "unreadCount": 0 }}